FROM quay.io/keycloak/keycloak:22.0.3
USER root

ADD keycloak/entrypoint.sh /entrypoint.sh

RUN mkdir /opt/kcsetup
RUN chown keycloak:root /opt/kcsetup
VOLUME /opt/kcsetup

USER keycloak

ENTRYPOINT ["/entrypoint.sh"]
